function love.load()

	gamestate = 'booting'
	
--Boot Junk
	
	winwidth = love.graphics.getWidth()
	winheight = love.graphics.getHeight()
	
	centwidth = winwidth / 2
	centheight = winheight / 2
	
	bootimg = love.graphics.newImage("Graphics/Boot/bootbackground.png")
	bootlogo = love.graphics.newImage("Graphics/Boot/crslogo.png")
	bootaudio = love.audio.newSource("Audio/Boot/bootaudio.ogg")
	bootaudio:setLooping(false)
	bootscreenx = 0
	bootscreeny = 0
	
	bootimgspeed = 209
	bootimgx = 0
	bootimgy = 0
	bootlogox = centwidth - 400
	bootlogoy = centheight - 350
	
--Stats

	player = {}
		player.x = centwidth
		player.y = centheight
		player.w = 64
		player.h = 64
		player.ship = nil
		
--Menu
	
	menuimage = love.graphics.newImage("Graphics/Backgrounds/cosmostitlescreen.png")
	menufont = love.graphics.newFont("Fonts/menu.ttf", 56)
	
--Other Shit

	retrofont = love.graphics.newFont("Fonts/8bit.ttf")
		
end

function love.update(dt)

	if gamestate == 'booting' then
	
		love.audio.play(bootaudio)
	
		bootimgy = bootimgy - (bootimgspeed * dt)
		
			if bootimgy <= -2400 then
				bootimgspeed = 0
				love.audio.stop(bootaudio)
				gamestate = 'menu'
			end
	end
	
	if gamestate == 'menu' or gamestate == 'booting' then
		mousex = love.mouse.getX()
		mousey = love.mouse.getY()
	end
	
end

function love.draw()

	if gamestate == 'booting' then
		love.graphics.draw(bootimg, bootimgx, bootimgy)
		love.graphics.draw(bootlogo, bootlogox, bootlogoy)
	end
	
	if gamestate == 'menu' then
		love.graphics.draw(menuimage, 0, 0)
		love.graphics.setFont(menufont)
		love.graphics.setColor(255, 255, 255, 255)
		
		if newgamebtn == 'highlighted' then
			love.event.push("quit")
		end

		love.graphics.print("New Game", 40, 200)
		love.graphics.print("Load Game", 40, 275)
		love.graphics.print("Options", 40, 350)
		love.graphics.print("Credits", 40, 425)
		love.graphics.print("Exit", 40, 500)
	
	end

	if love.keyboard.isDown("`") then
		love.window.setTitle("Mouse Position: (" .. mousex .. ", " .. mousey .. ")")
	end
  
end

function love.keypressed(key)

	if gamestate == 'booting' and key == " " then
		bootimgspeed = 0
		love.audio.stop(bootaudio)
		gamestate = 'menu'
	end

end

function love.mousepressed(mousex, mousey, mbutton)

	if mbutton == 'l' and mousex >= 40 and mousex <= 400 and mousey >= 210 and mousey <= 250 then

	end
	
	if mbutton == 'l' and mousex >= 40 and mousex <= 449 and mousey >= 285 and mousey <= 326 then

	end
	
	if mbutton == 'l' and mousex >= 40 and mousex <= 350 and mousey >= 361 and mousey <= 400 then

	end
	
	if mbutton == 'l' and mousex >= 40 and mousex <= 347 and mousey >= 436 and mousey <= 475 then

	end
	
	if mbutton == 'l' and mousex >= 40 and mousex <= 199 and mousey >= 512 and mousey <= 550 then

	end
	
	
	if mousex >= 40 and mousex <= 400 and mousey >= 210 and mousey <= 250 then
		newgamebtn = 'highlighted' --New
	end
	
	if mousex >= 40 and mousex <= 449 and mousey >= 285 and mousey <= 326 then
		loadgamebtn = 'highlighted' --Load
	end
	
	if mousex >= 40 and mousex <= 350 and mousey >= 361 and mousey <= 400 then
		optionsbtn = 'highlighted' --Options
	end
	
	if mousex >= 40 and mousex <= 347 and mousey >= 436 and mousey <= 475 then
		creditsbtn = 'highlighted' --Credits
	end
	
	if mousex >= 40 and mousex <= 199 and mousey >= 512 and mousey <= 550 then
		exitbtn = 'highlighted' --Exit
	end
	
end